summaryrefslogtreecommitdiffstats
path: root/libraries/xmlrpc-c
diff options
context:
space:
mode:
author mario2010-08-24 06:10:13 +0200
committer Erik Hanson2010-08-29 22:32:11 +0200
commit3165dfc48b8968835cc8dcfae597d7c10a0cac14 (patch)
treebb751b09eecfc6c39eeb1ad8c06f2252940c2b64 /libraries/xmlrpc-c
parent1b0778311daa99b94ab1d17c59134cf706883e59 (diff)
downloadslackbuilds-3165dfc48b8968835cc8dcfae597d7c10a0cac14.tar.gz
libraries/xmlrpc-c: Added (implementation of XML-RPC)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries/xmlrpc-c')
-rw-r--r--libraries/xmlrpc-c/README12
-rw-r--r--libraries/xmlrpc-c/slack-desc19
-rw-r--r--libraries/xmlrpc-c/xmlrpc-c.SlackBuild98
-rw-r--r--libraries/xmlrpc-c/xmlrpc-c.info10
4 files changed, 139 insertions, 0 deletions
diff --git a/libraries/xmlrpc-c/README b/libraries/xmlrpc-c/README
new file mode 100644
index 0000000000..d427883421
--- /dev/null
+++ b/libraries/xmlrpc-c/README
@@ -0,0 +1,12 @@
+xmlrpc-c (modular implementation of XML-RPC for C and C++)
+
+XML-RPC is a quick-and-easy way to make procedure calls over the Internet.
+It converts the procedure call into XML document, sends it to a remote server
+using HTTP, and gets back the response as XML.
+
+This library provides a modular implementation of XML-RPC for C and C++.
+
+The library also provides a variation on XML-RPC that works better in some cases
+(but is not standard): packet stream XML-RPC.
+XML-RPC For C and C++ is designed for Unix and is most tested on unix. As far
+as we know, it works on any reasonably standard unix.
diff --git a/libraries/xmlrpc-c/slack-desc b/libraries/xmlrpc-c/slack-desc
new file mode 100644
index 0000000000..cf41a426ce
--- /dev/null
+++ b/libraries/xmlrpc-c/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xmlrpc-c: xmlrpc-c (modular implementation of XML-RPC for C and C++)
+xmlrpc-c:
+xmlrpc-c: XML-RPC is a quick-and-easy way to make procedure calls over the
+xmlrpc-c: Internet. It converts the procedure call into XML document, sends it
+xmlrpc-c: to a remote server using HTTP, and gets back the response as XML.
+xmlrpc-c:
+xmlrpc-c: Homepage: http://xmlrpc-c.sourceforge.net/
+xmlrpc-c:
+xmlrpc-c:
+xmlrpc-c:
+xmlrpc-c:
diff --git a/libraries/xmlrpc-c/xmlrpc-c.SlackBuild b/libraries/xmlrpc-c/xmlrpc-c.SlackBuild
new file mode 100644
index 0000000000..f50ca05b0a
--- /dev/null
+++ b/libraries/xmlrpc-c/xmlrpc-c.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for xmlrpc-c
+
+# Copyright 2010, mario <mario@slackverse.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xmlrpc-c
+VERSION=${VERSION:-r1964}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README doc examples $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/xmlrpc-c/xmlrpc-c.info b/libraries/xmlrpc-c/xmlrpc-c.info
new file mode 100644
index 0000000000..1776742f08
--- /dev/null
+++ b/libraries/xmlrpc-c/xmlrpc-c.info
@@ -0,0 +1,10 @@
+PRGNAM="xmlrpc-c"
+VERSION="r1964"
+HOMEPAGE="http://xmlrpc-c.sourceforge.net/"
+DOWNLOAD="http://dev.slackverse.org/sources/xmlrpc-c-r1964.tar.bz2"
+MD5SUM="6b3b54f038366330048ba0f40d0b1285"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"
+APPROVED="dsomero"